backend:

  # gitlab.com settings
  name: gitlab
  app_id: 92ce69a55f6e159cd1d05c7e6be0ac76ec1d0b8b2a6be434a5d016b3748ad2d8

  branch: main
  repo: kotocoop/website/kotocoop-website-staging

  base_url: https://gitlab.com
  api_root: https://gitlab.com/api/v4
  site_domain: staging.kotocoop.org

  auth_type: pkce # Required for pkce
  auth_endpoint: oauth/authorize

  commit_messages:
    create: Create {{collection}} “{{slug}}”
    update: Update {{collection}} “{{slug}}”
    delete: Delete {{collection}} “{{slug}}”
    uploadMedia: Upload “{{path}}”
    deleteMedia: Delete “{{path}}”
    openAuthoring: '{{message}}'

publish_mode: editorial_workflow
squash_merges: false

media_folder: "assets/img/uploads"
public_folder: "/img/uploads"

site_url: "https://staging.kotocoop.org"

